mac_find_mode
Prev | Frame Buffer Macintosh Video Mode Database | Next

## Name

mac_find_mode — find a video mode

## Synopsis

`int mac_find_mode (` | struct fb_var_screeninfo * | var,
| struct fb_info * | info,
| const char * | mode_option,
| unsigned int | default_bpp`)`;

## Arguments

`var`

  frame buffer user defined part of display

`info`

  frame buffer info structure

`mode_option`

  video mode name (see mac_modedb[])

`default_bpp`

  default color depth in bits per pixel

## Description

Finds a suitable video mode. Tries to set mode specified by `mode_option`. If the name of the wanted mode begins with 'mac', the Mac video mode database will be used, otherwise it will fall back to the standard video mode database.

## Note

Function marked as __init and can only be used during system boot.

Returns error code from fb_find_mode (see fb_find_mode function).

Prev | Up | Next
mac_map_monitor_sense | Home | Frame Buffer Fonts